Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo.gui
Interface IGraphics3D

All Superinterfaces:
  IGraphics

All Known Subinterfaces:
  IGraphicsGL

All Known Implementing Classes:
  IGraphicsGL1, IGraphicsGL2, PIGraphics3D

    public interface IGraphics3D

extends IGraphics

Class of Graphics to draw 3D geometry (OpenGL or P3D)

Author:
  Satoru Sugihara

Method Summary
`void` | `ambient(float[] rgba)`
`void` | `ambient(float r, float g, float b)`
`void` | `ambient(float r, float g, float b, float a)`
`void` | `ambient(IColor c)`
`void` | `diffuse(float[] rgba)`
`void` | `diffuse(float r, float g, float b)`
`void` | `diffuse(float r, float g, float b, float a)` diffuse color is same with color(Color c)
`void` | `diffuse(IColor c)`
`void` | `disableLight()`
`void` | `drawLineLoop(IVec[] p)`
`void` | `drawLines(IVec[] p)`
`void` | `drawLineStrip(IVec[] p)`
`void` | `drawPoint(IVec p)`
`void` | `drawPoints(IVec[] p)`
`void` | `drawPolygon(IVec[] pts)`
`void` | `drawPolygon(IVec[] pts, IVec[] nml)`
`void` | `drawQuadMatrix(IVec[][] pts)`
`void` | `drawQuadMatrix(IVec[][] pts, IVec[][] nml)`
`void` | `drawQuads(IVec[] pts)`
`void` | `drawQuads(IVec[] pts, IVec[] nml)`
`void` | `drawQuadStrip(IVec[] pts)`
`void` | `drawQuadStrip(IVec[] pts, IVec[] nml)`
`void` | `drawTriangleFan(IVec[] pts)`
`void` | `drawTriangleFan(IVec[] pts, IVec[] nml)`
`void` | `drawTriangles(IVec[] pts)`
`void` | `drawTriangles(IVec[] pts, IVec[] nml)`
`void` | `drawTriangleStrip(IVec[] pts)`
`void` | `drawTriangleStrip(IVec[] pts, IVec[] nml)`
`void` | `emissive(float[] rgba)`
`void` | `emissive(float r, float g, float b)`
`void` | `emissive(float r, float g, float b, float a)`
`void` | `emissive(IColor c)`
`void` | `enableLight()`
`void` | `pointSize(float size)`
`void` | `shininess(float s)`
`void` | `specular(float[] rgba)`
`void` | `specular(float r, float g, float b)`
`void` | `specular(float r, float g, float b, float a)`
`void` | `specular(IColor c)`

Methods inherited from interface igeo.gui.IGraphics
`clr, clr, clr, clr, draw, firstDraw, firstDraw, stroke, stroke, stroke, stroke, type, view, weight`

Method Detail

### diffuse

    void diffuse(float r,
                 float g,
                 float b,
                 float a)

  diffuse color is same with color(Color c)

### diffuse

    void diffuse(float r,
                 float g,
                 float b)

### diffuse

    void diffuse(float[] rgba)

### diffuse

    void diffuse(IColor c)

### ambient

    void ambient(float r,
                 float g,
                 float b,
                 float a)

### ambient

    void ambient(float r,
                 float g,
                 float b)

### ambient

    void ambient(float[] rgba)

### ambient

    void ambient(IColor c)

### specular

    void specular(float r,
                  float g,
                  float b,
                  float a)

### specular

    void specular(float r,
                  float g,
                  float b)

### specular

    void specular(float[] rgba)

### specular

    void specular(IColor c)

### emissive

    void emissive(float r,
                  float g,
                  float b,
                  float a)

### emissive

    void emissive(float r,
                  float g,
                  float b)

### emissive

    void emissive(float[] rgba)

### emissive

    void emissive(IColor c)

### shininess

    void shininess(float s)

### enableLight

    void enableLight()

### disableLight

    void disableLight()

### pointSize

    void pointSize(float size)

### drawPoint

    void drawPoint(IVec p)

### drawPoints

    void drawPoints(IVec[] p)

### drawLines

    void drawLines(IVec[] p)

### drawLineStrip

    void drawLineStrip(IVec[] p)

### drawLineLoop

    void drawLineLoop(IVec[] p)

### drawPolygon

    void drawPolygon(IVec[] pts)

### drawPolygon

    void drawPolygon(IVec[] pts,
                     IVec[] nml)

### drawQuads

    void drawQuads(IVec[] pts)

### drawQuads

    void drawQuads(IVec[] pts,
                   IVec[] nml)

### drawQuadStrip

    void drawQuadStrip(IVec[] pts)

### drawQuadStrip

    void drawQuadStrip(IVec[] pts,
                       IVec[] nml)

### drawQuadMatrix

    void drawQuadMatrix(IVec[][] pts)

### drawQuadMatrix

    void drawQuadMatrix(IVec[][] pts,
                        IVec[][] nml)

### drawTriangles

    void drawTriangles(IVec[] pts)

### drawTriangles

    void drawTriangles(IVec[] pts,
                       IVec[] nml)

### drawTriangleStrip

    void drawTriangleStrip(IVec[] pts)

### drawTriangleStrip

    void drawTriangleStrip(IVec[] pts,
                           IVec[] nml)

### drawTriangleFan

    void drawTriangleFan(IVec[] pts)

### drawTriangleFan

    void drawTriangleFan(IVec[] pts,
                         IVec[] nml)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD